Loading...
Searching...
No Matches
casacore::TableUnknownDesc Class Reference
tables package (libcasa_tables) » Tables_module

Table error; unknown column description. More...

`#include <TableError.h>`

## Public Member Functions

| TableUnknownDesc (const String &name, Category c=INITIALIZATION)
| This constructor generates a message that the class with the given name is unknown (not registered).
| ~TableUnknownDesc () noexcept
Public Member Functions inherited from casacore::TableError
| TableError (Category c=GENERAL)
| The default constructor generates the message "Table error".
| TableError (const String &message, Category c=GENERAL)
| Construct with given message.
| ~TableError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Table error; unknown column description.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

To be able to reconstruct the correct column description object from a stored table description, each column description type must register itself (see ColumnDesc.h and ColumnReg.cc).

Definition at line 290 of file TableError.h.

## Constructor & Destructor Documentation

## TableUnknownDesc()

casacore::TableUnknownDesc::TableUnknownDesc | ( | const String & | name,
|  | Category | c = INITIALIZATION )

This constructor generates a message that the class with the given name is unknown (not registered).

References casacore::AipsError::INITIALIZATION, and casacore::name().

## ~TableUnknownDesc()

casacore::TableUnknownDesc::~TableUnknownDesc | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- tables/Tables/TableError.h